## org.codehaus.groovy.grails.exceptions
Interface SourceCodeAware

All Superinterfaces:
  Serializable

All Known Implementing Classes:
  GrailsTagException, GroovyPagesException

    public interface SourceCodeAware

extends Serializable

An interface that represents an exception that is capable of providing more information about the source code

Since:
  1.0

  Created: Nov 15, 2007
Author:
  Graeme Rocher

Method Summary
`String` `getFileName()`
`int` `getLineNumber()`

Method Detail

### getFileName

    String getFileName()

### getLineNumber

    int getLineNumber()

Copyright (c) 2005-2009 The Grails project